"Fossies" - the Fresh Open Source Software Archive

Member "dubbo-dubbo-3.1.3/dubbo-compatible/README.md" (22 Nov 2022, 1427 Bytes) of package /linux/misc/dubbo-dubbo-3.1.3.tar.gz:


As a special service "Fossies" has tried to format the requested source page into HTML format (assuming markdown format). Alternatively you can here view or download the uninterpreted source code file. A member file download can also be achieved by clicking within a package contents listing on the according byte size field.

dubbo-compatible

Hi, all

From 2.7.x, Dubbo has renamed package to org.apache.dubbo, so dubbo-compatible module is provided.

For compatibility with older versions, we provider the following most popular APIs(classes/interfaces):

The above APIs work fine with some unit tests in the test root.

Except these APIs, others provided in dubbo-compatible are just bridge APIs without any unit tests, they may work with wrong. If you have any demand for them, you could:

By the way, We will remove this module some day, so it's recommended that implementing your extensions with new APIs at the right time.

Now we need your help: Any other popular APIs are missing?

For compatible module, any suggestions are welcome. Thanks.